Bug 1459327 - Gnome no longer remembers monitor configurations
Gnome no longer remembers monitor configurations
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2017-06-06 15:45 EDT by bztdlinux
Modified: 2017-12-12 05:41 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-12-12 05:41:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description bztdlinux 2017-06-06 15:45:55 EDT
Description of problem:
I plug an external monitor in my laptop. From gnome settings I configured my laptop display to be off when this monitor is attached. Until recently, this configuration was remembered - whenever I plugged my monitor in, my laptop screen turned off. However, now it resets to both screens being on every time I attach.

Version-Release number of selected component (if applicable):
gnome-shell: 3.22.3-1.fc25
gnome-settings-daemon: 3.22.2-1.fc25

How reproducible:

Steps to Reproduce:
1. Attach a monitor
2. Change configuration (resolution, primary display, on/off)
3. Detach monitor
4. Attach monitor

Actual results:
Configuration is reset to a dual monitor setup with laptop as primary screen

Expected results:
Configuration is remembered

Additional info:
This is using an X session.
Comment 1 bztdlinux 2017-06-06 20:13:38 EDT
This also happens every time the monitor goes to sleep, for example when locking the screen.
Comment 2 bztdlinux 2017-06-06 20:36:34 EDT
So, the problem was caused by Linux kernel 4.11. On 4.11 monitor names are changed as they appear in ~/.config/monitors.xml. Before, my external monitor was "DP1", now it's "DisplayPort39" or some other random number each time it's plugged. I'm not sure exactly if this should be a Linux kernel bug, or if the xrandr module of gnome-settings-daemon needs to be changed.
Comment 3 Bastien Nocera 2017-06-08 07:26:22 EDT
Are you using third-party drivers for your graphics card? If so, which one? If not, which type of graphics card are you using?

Event though this change is probably related to using proprietary drivers, I'll reassign to the kernel in case it is not.
Comment 4 bztdlinux 2017-06-08 18:20:20 EDT
I'm using i915 (Intel HD4600).

I debugged this further with jadahl on #gnome-shell and I'm starting to think the "DisplayPort39" thing might be a red herring, created from an unrelated test. The kernel seems to always name the display identically according to modetest, and xorg always thinks it's "DP-1". So maybe it's some other sort of race condition?

Also, the problem doesn't reproduce with Wayland.
Comment 5 Berend De Schouwer 2017-10-23 07:51:53 EDT
This regressed for me on F27 Beta, intel 5500.
Comment 6 Fedora End Of Life 2017-11-16 13:53:32 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-12-12 05:41:41 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.